CREATE TABLE application_status (id integer NOT NULL PRIMARY KEY UNIQUE CHECK (id=0) DEFAULT 0,status varchar NOT NULL DEFAULT E);

CREATE TABLE episode_images (id integer NOT NULL PRIMARY KEY AUTOINCREMENT,episode_id integer NOT NULL, image blob NOT NULL);

CREATE TABLE episodes (id integer NOT NULL PRIMARY KEY AUTOINCREMENT,series_id integer NOT NULL,season_number integer NOT NULL,disc_number integer,production_number integer,title varchar,short_description varchar,description text,mission_date varchar,url varchar NOT NULL, air_date varchar, overview_image blob);

CREATE TABLE metadata (series_short_name varchar NOT NULL,season_number integer NOT NULL,production_number integer NOT NULL,rating integer NOT NULL DEFAULT 0,comments text NOT NULL,PRIMARY KEY (series_short_name,season_number,production_number));

CREATE TABLE series (id integer NOT NULL PRIMARY KEY AUTOINCREMENT,short_name varchar NOT NULL,name varchar NOT NULL,image blob);

INSERT INTO application_status (id, status) VALUES (0, 'E');